Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366373 - [abrt] gvfs-mtp: g_realloc(): gvfsd-mtp killed by SIGABRT
Summary: [abrt] gvfs-mtp: g_realloc(): gvfsd-mtp killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aee62ddd9a66dc18fa83ba27887...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 19:33 UTC by Dan Dragomir
Modified: 2016-12-20 21:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:20:43 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: cgroup (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: core_backtrace (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: dso_list (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: environ (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: limits (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: maps (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: mountinfo (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: namespaces (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: open_fds (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: proc_pid_status (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details
File: var_log_messages (deleted)
2016-08-11 19:33 UTC, Dan Dragomir
no flags Details

Description Dan Dragomir 2016-08-11 19:33:34 UTC
Description of problem:
I connected an LG Android phone to the computer

Version-Release number of selected component:
gvfs-mtp-1.26.3-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-mtp --spawner :1.14 /org/gtk/gvfs/exec_spaw/11
crash_function: g_realloc
executable:     /usr/libexec/gvfsd-mtp
global_pid:     21306
kernel:         4.6.5-200.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #7 g_realloc at gmem.c:159
 #8 g_array_maybe_expand at garray.c:779
 #9 g_array_insert_vals at garray.c:520
 #10 g_file_info_create_value at gfileinfo.c:1085
 #11 g_file_info_set_display_name at gfileinfo.c:1966
 #12 get_file_info at gvfsbackendmtp.c:1190
 #13 do_enumerate at gvfsbackendmtp.c:1324
 #14 g_vfs_job_run at gvfsjob.c:197
 #16 g_thread_proxy at gthread.c:778

Comment 1 Dan Dragomir 2016-08-11 19:33:39 UTC
Created attachment 1190125 [details]
File: backtrace

Comment 2 Dan Dragomir 2016-08-11 19:33:41 UTC
Created attachment 1190126 [details]
File: cgroup

Comment 3 Dan Dragomir 2016-08-11 19:33:42 UTC
Created attachment 1190127 [details]
File: core_backtrace

Comment 4 Dan Dragomir 2016-08-11 19:33:44 UTC
Created attachment 1190128 [details]
File: dso_list

Comment 5 Dan Dragomir 2016-08-11 19:33:45 UTC
Created attachment 1190129 [details]
File: environ

Comment 6 Dan Dragomir 2016-08-11 19:33:47 UTC
Created attachment 1190130 [details]
File: limits

Comment 7 Dan Dragomir 2016-08-11 19:33:48 UTC
Created attachment 1190131 [details]
File: maps

Comment 8 Dan Dragomir 2016-08-11 19:33:50 UTC
Created attachment 1190132 [details]
File: mountinfo

Comment 9 Dan Dragomir 2016-08-11 19:33:52 UTC
Created attachment 1190133 [details]
File: namespaces

Comment 10 Dan Dragomir 2016-08-11 19:33:53 UTC
Created attachment 1190134 [details]
File: open_fds

Comment 11 Dan Dragomir 2016-08-11 19:33:55 UTC
Created attachment 1190135 [details]
File: proc_pid_status

Comment 12 Dan Dragomir 2016-08-11 19:33:57 UTC
Created attachment 1190136 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2016-11-25 09:30:13 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2016-12-20 21:20:43 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.